Deletes all records from the catalog
curl --request POST \
--url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/clear \
--header 'Authorization: Bearer <token>'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/clear"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/clear', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Catalogs
Deletes all records from the catalog
Deletes every record from the data catalog while keeping the catalog itself and its column structure. This operation cannot be undone. After clearing and repopulating the catalog, start a reindex operation so that skills search the updated data.
POST
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
clear
Deletes all records from the catalog
Was this page helpful?
⌘I
